%global debug_package %{nil}

Name:           du-dust
Version:        0.5.3
Release:        1%{?dist}
Summary:        du + rust = dust. Like du but more intuitive.

Packager:       Jaden Pleasants <jadenpleasants@fastmail.com>

License:        Apache
URL:            https://github.com/bootandy/dust
Source0:        %{url}/archive/v%{version}/dust-%{version}.tar.gz

BuildRequires:  cargo
BuildRequires:  rust
# Requires:

%description
Dust is meant to give you an instant overview of which directories are using
disk space without requiring sort or head. Dust will print a maximum of one
'Did not have permissions message'.

Dust will list a slightly-less-than-the-terminal-height number of the biggest
subdirectories or files and will smartly recurse down the tree to find the
larger ones. There is no need for a '-d' flag or a '-h' flag. The largest
subdirectories will be colored.

%prep
%autosetup -n dust-%{version}


%build
cargo build --release


%install
install -Dp -m 0755 target/release/dust %{buildroot}/%{_bindir}/dust


%files
%license LICENSE
%doc README.md media
%{_bindir}/dust


%changelog
* Tue Oct 27 2020 Jaden Pleasants <jadenpleasants@fastmail.com> - 0.5.3-1
- Updated to 0.5.3
* Mon Aug 31 2020 Jaden Pleasants <jadenpleasants@fastmail.com> - 0.5.2-1
- Updated to 0.5.2
* Fri May  8 2020 Jaden Pleasants <jadenpleasants@fastmail.com> - 0.5.1-1
- Initial Package
-
